From 48dfdf4a9ee943c2d1f4525bfae2f916144b3f76 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 16 2017 10:20:53 +0000
Subject: [PATCH 803/1001] Fix all flake8 errors


---

diff --git a/check-cache-coverage.py b/check-cache-coverage.py
index d092dfd..efe45ab 100755
--- a/check-cache-coverage.py
+++ b/check-cache-coverage.py
@@ -16,7 +16,6 @@ Authors:    Ralph Bean <rbean@redhat.com>
 from __future__ import unicode_literals, print_function
 
 import sys
-import dogpile.cache
 
 import hubs.app
 import hubs.widgets
diff --git a/check-queue-length.py b/check-queue-length.py
index 5b14d0f..1a07f79 100755
--- a/check-queue-length.py
+++ b/check-queue-length.py
@@ -13,14 +13,14 @@ We could also graph this in collectd, for fun and profit.
 Authors:    Ralph Bean <rbean@redhat.com>
 """
 
-from __future__ import unicode_literals
+from __future__ import unicode_literals, print_function
+
+import retask
 
 import fedmsg.config
 config = fedmsg.config.load_config()
 
-import retask
-
 for item in ['triage', 'work']:
     queue = retask.queue.Queue(config['hubs.redis.%s-queue-name' % item])
     queue.connect()
-    print ' (%s) queue length is %i' % (item, queue.length)
+    print(' (%s) queue length is %i' % (item, queue.length))
diff --git a/delete-user.py b/delete-user.py
index 8c54582..9c79fc9 100755
--- a/delete-user.py
+++ b/delete-user.py
@@ -4,32 +4,31 @@
 Useful for testing what happens when you recreate them.
 """
 
-from __future__ import unicode_literals
-
-import sys
+from __future__ import unicode_literals, print_function
 
 import fedmsg.config
-fedmsg_config = fedmsg.config.load_config()
 
 import hubs.models
 
+fedmsg_config = fedmsg.config.load_config()
+
 session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
 
-username = raw_input('What user do you want to delete: ')
+username = input('What user do you want to delete: ')
 openid = '%s.id.fedoraproject.org' % username
-print "Looking for account %r" % openid
+print("Looking for account %r" % openid)
 user = hubs.models.User.get(openid)
 if not user:
-    print "No such user %r" % openid
+    print("No such user %r" % openid)
 else:
-    print "Found %r.  Deleting." % user
+    print("Found %r.  Deleting." % user)
     session.delete(user)
 
 hub = hubs.models.Hub.get(username)
 if not hub:
-    print "No such hub %r" % username
+    print("No such hub %r" % username)
 else:
-    print "Found %r.  Deleting." % hub
+    print("Found %r.  Deleting." % hub)
     session.delete(hub)
 
 session.commit()
diff --git a/docs/conf.py b/docs/conf.py
index 27b4be2..9264743 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -150,8 +150,8 @@ html_theme = 'alabaster'
 # html_logo = None
 
 # The name of an image file (relative to this directory) to use as a favicon of
-# the docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
-# pixels large.
+# the docs.  This file should be a Windows icon file (.ico) being 16x16 or
+# 32x32 pixels large.
 #
 # html_favicon = None
 
diff --git a/fedmsg.d/base.py b/fedmsg.d/base.py
index ddc1a81..57b487a 100644
--- a/fedmsg.d/base.py
+++ b/fedmsg.d/base.py
@@ -17,8 +17,6 @@
 #
 # Authors:  Ralph Bean <rbean@redhat.com>
 
-import os
-
 config = dict(
     # Set this to dev if you're hacking on fedmsg or an app.
     # Set to stg or prod if running in the Fedora Infrastructure
@@ -28,14 +26,14 @@ config = dict(
     high_water_mark=0,
     io_threads=1,
 
-    ## For the fedmsg-hub and fedmsg-relay. ##
+    # # For the fedmsg-hub and fedmsg-relay. # #
 
     # This is a status dir to keep a record of the last processed message
-    #status_directory=os.getcwd() + "/status",
-    #status_directory='/var/run/fedmsg/status',
+    # status_directory=os.getcwd() + "/status",
+    # status_directory='/var/run/fedmsg/status',
 
     # This is the URL of a datagrepper instance that we can query for backlog.
-    #datagrepper_url="https://apps.fedoraproject.org/datagrepper/raw",
+    # datagrepper_url="https://apps.fedoraproject.org/datagrepper/raw",
 
     # We almost always want the fedmsg-hub to be sending messages with zmq as
     # opposed to amqp or stomp.
diff --git a/fedmsg.d/testconfig.py b/fedmsg.d/testconfig.py
index 1f45487..8f4f105 100644
--- a/fedmsg.d/testconfig.py
+++ b/fedmsg.d/testconfig.py
@@ -21,7 +21,8 @@ config = {
         ]
     },
 
-    'datanommer.sqlalchemy.uri': 'postgres://postgres:laksjdf@127.0.0.1/datanommer',
+    'datanommer.sqlalchemy.uri':
+        'postgres://postgres:laksjdf@127.0.0.1/datanommer',
 
     'fmn.url': 'https://apps.fedoraproject.org/notifications',
 
@@ -47,7 +48,8 @@ config = {
 
     # Run datanommer locally, just for development.
     'datanommer.enabled': True,
-    'datanommer.sqlalchemy.url': 'postgres://postgres:laksjdf@127.0.0.1/datanommer',
+    'datanommer.sqlalchemy.url':
+        'postgres://postgres:laksjdf@127.0.0.1/datanommer',
 
     # Only do one of these so we can try to not run out of memory.
     'moksha.workers_per_consumer': 1,
diff --git a/hubs/app.py b/hubs/app.py
index 0e81a8d..a32788b 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -1,20 +1,18 @@
 from __future__ import unicode_literals
 
 import datetime
-import json
 import logging
 import os
 
+import datanommer.models
+import fedmsg.config
+import fedmsg.meta
 import flask
 import flask.json
 import munch
-
 from flask_oidc import OpenIDConnect
 
 import hubs.models
-
-import datanommer.models
-
 from hubs.utils import username2avatar
 
 app = flask.Flask(__name__)
@@ -34,15 +32,13 @@ app.config.from_object('hubs.default_config')
 if 'HUBS_CONFIG' in os.environ:
     app.config.from_envvar('HUBS_CONFIG')
 
-import fedmsg.config
-import fedmsg.meta
-
 fedmsg_config = fedmsg.config.load_config()
 fedmsg.meta.make_processors(**fedmsg_config)
 
 session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
 datanommer.models.init(fedmsg_config['datanommer.sqlalchemy.uri'])
 
+
 @app.before_request
 def store_db():
     flask.g.db = session
@@ -74,7 +70,7 @@ def shutdown_session(exception=None):
 
 
 # Set up OpenIDConnect
-OIDC = OpenIDConnect(app, credentials_store=flask.session )
+OIDC = OpenIDConnect(app, credentials_store=flask.session)
 
 
 @app.before_request
@@ -86,17 +82,16 @@ def check_auth():
         if not hasattr(flask.session, 'auth') or not flask.session.auth:
             flask.session.auth = munch.Munch(
                 fullname=OIDC.user_getfield('name'),
-                nickname=OIDC.user_getfield('nickname') \
-                    or OIDC.user_getfield('sub'),
+                nickname=(OIDC.user_getfield('nickname') or
+                          OIDC.user_getfield('sub')),
                 email=OIDC.user_getfield('email'),
                 timezone=OIDC.user_getfield('zoneinfo'),
-                cla_done=\
-                    'http://admin.fedoraproject.org/accounts/cla/done' \
-                    in OIDC.user_getfield('cla'),
+                cla_done=('http://admin.fedoraproject.org/accounts/cla/done'
+                          in OIDC.user_getfield('cla')),
                 groups=OIDC.user_getfield('groups'),
                 logged_in=True,
             )
-            flask.session.auth.avatar=username2avatar(
+            flask.session.auth.avatar = username2avatar(
                 flask.session.auth.nickname)
             flask.session.auth.user = hubs.models.User.by_username(
                 flask.session.auth.nickname)
@@ -105,11 +100,11 @@ def check_auth():
         flask.g.auth = munch.Munch(logged_in=False)
 
 # Register widgets
-import hubs.widgets
+import hubs.widgets  # noqa
 hubs.widgets.registry.register_list(app.config["WIDGETS"])
 
 # Register routes
-import hubs.views
+import hubs.views  # noqa
 
 # Add widget-specific routes
 hubs.widgets.registry.register_routes(app)
diff --git a/hubs/backend/triage.py b/hubs/backend/triage.py
index 7320460..7ea3645 100755
--- a/hubs/backend/triage.py
+++ b/hubs/backend/triage.py
@@ -21,28 +21,27 @@ handle.
 
 from __future__ import unicode_literals
 
-import hubs.app
-import hubs.models
-
-import hubs.widgets.base
+import json
+import logging
+import logging.config
+import random
+import sys
 
 import fedmsg.config
 import fedmsg.meta
-config = fedmsg.config.load_config()
-
 import retask.queue
 
-import json
-import random
-import sys
-import logging
-import logging.config
+import hubs.app
+import hubs.models
+import hubs.widgets.base
+
+
 log = logging.getLogger('hubs.backend.triage')
+config = fedmsg.config.load_config()
 
 
 def triage(session, outbound, msg):
     topic = msg['topic']
-    category = topic.split('.')[3]
 
     for suffix in config['hubs.junk_suffixes']:
         if topic.endswith(suffix):
@@ -115,5 +114,6 @@ def main(args):
 
     return 0
 
+
 if __name__ == '__main__':
     sys.exit(main(sys.argv))
diff --git a/hubs/backend/worker.py b/hubs/backend/worker.py
index e8e63e3..552d781 100755
--- a/hubs/backend/worker.py
+++ b/hubs/backend/worker.py
@@ -26,29 +26,29 @@ clients with the new content produced here.
 
 from __future__ import unicode_literals
 
-import hubs.app
-import hubs.models
-
-import hubs.widgets.base
+import json
+import logging
+import logging.config
+import sys
 
 import fedmsg.config
 import fedmsg.meta
-config = fedmsg.config.load_config()
-
 import retask.queue
 
-import json
-import sys
-import logging
-import logging.config
+import hubs.app
+import hubs.models
+import hubs.widgets.base
+
+
 log = logging.getLogger('hubs.backend.worker')
+config = fedmsg.config.load_config()
 
 
 def work(widget_idx, fn_name):
     # Get a real widget, because we update last_refreshed on it.
     widget = hubs.models.Widget.by_idx(widget_idx)
     fn_class = widget.module.get_cached_functions()[fn_name]
-    log.info("! Rebuilding cache for %r:%r" % (widget, cached_fn))
+    log.info("! Rebuilding cache for %r:%r" % (widget, fn_name))
     # Invalidate the cache...
     fn_class(widget).rebuild()
     # TODO -- fire off an EventSource notice that we updated stuff
@@ -88,7 +88,6 @@ def main(args):
             task = queue.wait()  # Wait forever...  timeout is optional.
             log.info("Working on %r.  (backlog is %r)" % (task, queue.length))
             item = json.loads(task.data)
-            idx = item['idx']  # A widget ID
             handle(item['idx'], item['fn_name'])
             log.debug("  Done.")
     except KeyboardInterrupt:
@@ -96,5 +95,6 @@ def main(args):
 
     return 0
 
+
 if __name__ == '__main__':
     sys.exit(main(sys.argv))
diff --git a/hubs/default_config.py b/hubs/default_config.py
index 688e51c..5837486 100644
--- a/hubs/default_config.py
+++ b/hubs/default_config.py
@@ -31,7 +31,8 @@ OIDC_SCOPES = [
 
 # TODO - instead of 'develop', use the version from pkg_resources to figure out
 #        the right tag to link people to.  AGPL ftw.
-SOURCE_URL = 'https://pagure.io/fedora-hubs/blob/develop/f'  # /hubs/widgets/badges.py'
+SOURCE_URL = 'https://pagure.io/fedora-hubs/blob/develop/f'
+# Example of what will be appended: '/hubs/widgets/badges.py'
 
 CHAT_NETWORKS = [
     {
diff --git a/hubs/migrations/env.py b/hubs/migrations/env.py
index e00d82b..db92033 100644
--- a/hubs/migrations/env.py
+++ b/hubs/migrations/env.py
@@ -1,25 +1,24 @@
 from __future__ import absolute_import, unicode_literals
 
-from alembic import context
-from sqlalchemy import create_engine, pool
 from logging.config import fileConfig
 
-
 import fedmsg.config
-
-fedmsg_config = fedmsg.config.load_config()
+from alembic import context
+from sqlalchemy import create_engine, pool
 
 
 try:
-    import hubs
+    import hubs  # noqa
 except ImportError:
-    import os, sys
+    import os
+    import sys
     if "hubs" not in os.listdir("."):
         raise
     sys.path.append(os.getcwd())
 
 from hubs.models import BASE
 
+
 # This is the Alembic Config object, which provides
 # access to the values within the .ini file in use.
 # The config_file_name property may be None when used programatically.
@@ -28,6 +27,7 @@ if context.config.config_file_name is not None:
     # This line sets up loggers basically.
     fileConfig(context.config.config_file_name)
 
+fedmsg_config = fedmsg.config.load_config()
 url = fedmsg_config['hubs.sqlalchemy.uri']
 target_metadata = BASE.metadata
 
@@ -73,6 +73,7 @@ def run_migrations_online():
         with context.begin_transaction():
             context.run_migrations()
 
+
 if context.is_offline_mode():
     run_migrations_offline()
 else:
diff --git a/hubs/migrations/versions/1d660b32b83a_hub_config.py b/hubs/migrations/versions/1d660b32b83a_hub_config.py
index 7f2aefb..348aad5 100644
--- a/hubs/migrations/versions/1d660b32b83a_hub_config.py
+++ b/hubs/migrations/versions/1d660b32b83a_hub_config.py
@@ -35,11 +35,13 @@ depends_on = None
 
 
 def upgrade():
-    op.create_table('hubs_config',
+    op.create_table(
+        'hubs_config',
         sa.Column('id', sa.Integer(), nullable=False),
         sa.Column('hub_id', sa.String(length=50), nullable=False),
         sa.Column('summary', sa.String(length=128), nullable=True),
-        sa.Column('left_width', sa.Integer(), nullable=False, server_default="8"),
+        sa.Column('left_width', sa.Integer(), nullable=False,
+                  server_default="8"),
         sa.Column('avatar', sa.String(length=256), nullable=True),
         sa.Column('header_img', sa.String(length=256), nullable=True),
         sa.ForeignKeyConstraint(['hub_id'], ['hubs.name'], ),
@@ -59,13 +61,20 @@ def upgrade():
 
 
 def downgrade():
-    op.add_column('hubs', sa.Column('avatar', sa.VARCHAR(length=256), nullable=True))
-    op.add_column('hubs', sa.Column('summary', sa.VARCHAR(length=128), nullable=True))
-    op.add_column('hubs', sa.Column('header_img', sa.VARCHAR(length=256), nullable=True))
-    op.add_column('hubs', sa.Column('left_width', sa.INTEGER(), server_default="8", nullable=False))
+    op.add_column(
+        'hubs', sa.Column('avatar', sa.VARCHAR(length=256), nullable=True))
+    op.add_column(
+        'hubs', sa.Column('summary', sa.VARCHAR(length=128), nullable=True))
+    op.add_column(
+        'hubs', sa.Column('header_img', sa.VARCHAR(length=256), nullable=True))
+    op.add_column(
+        'hubs', sa.Column('left_width', sa.INTEGER(), server_default="8",
+                          nullable=False))
     connection = op.get_bind()
-    query = "SELECT hub_id, summary, left_width, avatar, header_img FROM hubs_config"
-    hubs_table = sa.sql.table('hubs',
+    query = ("SELECT hub_id, summary, left_width, avatar, header_img "
+             "FROM hubs_config")
+    hubs_table = sa.sql.table(
+        'hubs',
         sa.sql.column('name', sa.String),
         sa.sql.column('summary', sa.String),
         sa.sql.column('left_width', sa.Integer),
@@ -74,7 +83,7 @@ def downgrade():
     )
     for row in connection.execute(query):
         op.execute(hubs_table.update().where(
-            hubs_table.c.name==op.inline_literal(row["hub_id"])
+            hubs_table.c.name == op.inline_literal(row["hub_id"])
             ).values({
                 "summary": op.inline_literal(row["summary"]),
                 "left_width": op.inline_literal(row["left_width"]),
diff --git a/hubs/models.py b/hubs/models.py
index 4102eeb..48ed695 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -30,7 +30,6 @@ import os
 import random
 
 import bleach
-import dogpile
 import sqlalchemy as sa
 
 from alembic import command as alembic_command
@@ -69,7 +68,7 @@ BASE = declarative_base(cls=HubsBase)
 log = logging.getLogger(__name__)
 
 
-placekitten = lambda: "https://placekitten.com/g/320/320"
+placekitten = "https://placekitten.com/g/320/320"
 
 
 def randomheader():
@@ -122,8 +121,10 @@ class Association(BASE):
                         primary_key=True)
     role = sa.Column(sa.Enum(*roles), primary_key=True)
 
-    user = relation("User", backref=backref('associations', cascade="all, delete"))
-    hub = relation("Hub", backref=backref('associations', cascade="all, delete"))
+    user = relation("User", backref=backref(
+        'associations', cascade="all, delete"))
+    hub = relation("Hub", backref=backref(
+        'associations', cascade="all, delete"))
 
     @classmethod
     def get(cls, hub, user, role):
@@ -139,7 +140,8 @@ class Hub(BASE):
     name = sa.Column(sa.String(50), primary_key=True)
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     widgets = relation('Widget', cascade='all,delete', backref='hub')
-    config = relation('HubConfig', uselist=False, cascade='all,delete', backref='hub')
+    config = relation('HubConfig', uselist=False, cascade='all,delete',
+                      backref='hub')
     archived = sa.Column(sa.Boolean, default=False)
     user_hub = sa.Column(sa.Boolean, default=False)
     # Timestamps about various kinds of "freshness"
@@ -358,7 +360,6 @@ class Widget(BASE):
         self._config = json.dumps(config)
 
     def __json__(self):
-        session = object_session(self)
         module = hubs.widgets.registry[self.plugin]
         root_view = module.get_views()["root"](module)
         data = root_view.get_context(self)
@@ -395,7 +396,7 @@ class User(BASE):
     fullname = sa.Column(sa.Text)
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     saved_notifications = relation('SavedNotification', backref='users',
-                                       lazy='dynamic')
+                                   lazy='dynamic')
 
     def __json__(self):
         return {
@@ -432,10 +433,10 @@ class User(BASE):
         # TODO -- someday make this editable/configurable.
         return sorted(list(set([
             assoc.hub for assoc in self.associations
-            if assoc.role == 'member'
-            or assoc.role == 'subscriber'
-            or assoc.role == 'owner'
-            and assoc.hub.name != self.username
+            if assoc.role == 'member' or
+            assoc.role == 'subscriber' or
+            assoc.role == 'owner' and
+            assoc.hub.name != self.username
         ])), key=operator.attrgetter('name'))
 
     @classmethod
@@ -468,16 +469,16 @@ class VisitCounter(BASE):
     __tablename__ = 'visit_counter'
     count = sa.Column(sa.Integer, default=0, nullable=False)
 
-    visited_hub = sa.Column(sa.String(50),
-                       sa.ForeignKey('hubs.name'),
-                       primary_key=True)
+    visited_hub = sa.Column(sa.String(50), sa.ForeignKey('hubs.name'),
+                            primary_key=True)
 
-    username = sa.Column(sa.Text,
-                        sa.ForeignKey('users.username'),
-                        primary_key=True)
+    username = sa.Column(sa.Text, sa.ForeignKey('users.username'),
+                         primary_key=True)
 
-    user = relation("User", backref=backref('visit_counters', cascade="all, delete, delete-orphan"))
-    hub = relation("Hub", backref=backref('visit_counters', cascade="all, delete, delete-orphan"))
+    user = relation("User", backref=backref(
+                    'visit_counters', cascade="all, delete, delete-orphan"))
+    hub = relation("Hub", backref=backref(
+                   'visit_counters', cascade="all, delete, delete-orphan"))
 
     @classmethod
     def by_username(cls, username):
@@ -485,7 +486,8 @@ class VisitCounter(BASE):
 
     @classmethod
     def get_visits_by_username_hub(cls, username, visited_hub):
-        return cls.query.filter_by(username=username, visited_hub=visited_hub).first()
+        return cls.query.filter_by(
+            username=username, visited_hub=visited_hub).first()
 
     @classmethod
     def increment_visits(cls, session, username, visited_hub):
@@ -534,8 +536,8 @@ class SavedNotification(BASE):
     markup = sa.Column(sa.Text)
     secondary_icon = sa.Column(sa.Text)
 
-
-    def __init__(self, username=None, markup='', link='', secondary_icon='', dom_id=''):
+    def __init__(self, username=None, markup='', link='', secondary_icon='',
+                 dom_id=''):
         self.user = username
         self.markup = markup
         self.link = link
diff --git a/hubs/stream.py b/hubs/stream.py
index ced01b9..f939ab3 100644
--- a/hubs/stream.py
+++ b/hubs/stream.py
@@ -1,8 +1,8 @@
 from __future__ import unicode_literals
 
-import json
 import os
 
+
 class Stream(object):
     def get_json(self):
         here = os.path.dirname(os.path.abspath(__file__))
diff --git a/hubs/tests/test_api/test_hub.py b/hubs/tests/test_api/test_hub.py
index 622fd9d..abf1e3d 100644
--- a/hubs/tests/test_api/test_hub.py
+++ b/hubs/tests/test_api/test_hub.py
@@ -1,7 +1,5 @@
 from __future__ import unicode_literals
 
-import flask
-import unittest
 from six.moves.urllib.parse import urlparse
 
 import hubs.tests
diff --git a/hubs/tests/test_api/test_notifications.py b/hubs/tests/test_api/test_notifications.py
index c9c7657..c224a77 100644
--- a/hubs/tests/test_api/test_notifications.py
+++ b/hubs/tests/test_api/test_notifications.py
@@ -1,7 +1,6 @@
 from __future__ import unicode_literals
 
 import json
-from six.moves.urllib.parse import urlparse
 
 import hubs.tests
 import hubs.models
diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 006f99e..c9e8c39 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -404,7 +404,8 @@ class HubsAPITest(hubs.tests.APPTest):
                 "left_width": 8,
                 "avatar": (
                     "https://seccdn.libravatar.org/avatar/9c9f7784935381befc30"
-                    "2fe3c814f9136e7a33953d0318761669b8643f4df55c?s=312&d=retro"
+                    "2fe3c814f9136e7a33953d0318761669b8643f4df55c"
+                    "?s=312&d=retro"
                     ),
                 "chat_channel": None,
                 "chat_domain": None,
diff --git a/hubs/tests/test_widget_base.py b/hubs/tests/test_widget_base.py
index 9d0e64d..53d1bf8 100644
--- a/hubs/tests/test_widget_base.py
+++ b/hubs/tests/test_widget_base.py
@@ -8,15 +8,16 @@ from hubs.widgets.view import WidgetView
 
 from mock import Mock
 from hubs.tests import APPTest
-#import hubs.models
 
 
 class TestingWidget(Widget):
     name = "testing"
 
+
 class TestingView(WidgetView):
     name = "root"
 
+
 class TestingFunction(CachedFunction):
     pass
 
@@ -40,8 +41,10 @@ class WidgetTest(APPTest):
     def test_validate(self):
         class LocalTestWidget(Widget):
             views = {}
+
             def get_views(self):
                 return self.views
+
         self.assertRaisesRegexp(
             AttributeError, '.* "name" .*', LocalTestWidget)
         LocalTestWidget.name = "invalid name \xe2\x98\xba"
@@ -109,10 +112,11 @@ class WidgetTest(APPTest):
             {"TestingFunction": TestingFunction}
             )
 
-    def test_list_views(self):
+    def test_list_additional_views(self):
         class TestView1(WidgetView):
             name = "root"
             url_rules = ["/", "/test-1/"]
+
         class TestView2(WidgetView):
             name = "test2"
             url_rules = ["/test-2"]
@@ -127,7 +131,9 @@ class WidgetTest(APPTest):
         self.assertIn("testing_root",
                       self.app.application.url_map._rules_by_endpoint)
         self.assertIn("testing_root", self.app.application.view_functions)
-        rules = list(self.app.application.url_map.iter_rules(endpoint="testing_root"))
+        rules = list(
+            self.app.application.url_map.iter_rules(endpoint="testing_root")
+            )
         self.assertEqual(len(rules), 2)
         self.assertEqual(rules[0].rule, "/<hub>/w/testing/<int:idx>/")
         self.assertEqual(rules[1].rule, "/<hub>/w/testing/<int:idx>/test-1/")
@@ -135,6 +141,8 @@ class WidgetTest(APPTest):
         self.assertIn("testing_test2",
                       self.app.application.url_map._rules_by_endpoint)
         self.assertIn("testing_test2", self.app.application.view_functions)
-        rules = list(self.app.application.url_map.iter_rules(endpoint="testing_test2"))
+        rules = list(
+            self.app.application.url_map.iter_rules(endpoint="testing_test2")
+            )
         self.assertEqual(len(rules), 1)
         self.assertEqual(rules[0].rule, "/<hub>/w/testing/<int:idx>/test-2")
diff --git a/hubs/tests/test_widget_validators.py b/hubs/tests/test_widget_validators.py
index 567c60f..2cadf7f 100644
--- a/hubs/tests/test_widget_validators.py
+++ b/hubs/tests/test_widget_validators.py
@@ -1,13 +1,10 @@
 from __future__ import unicode_literals
 
-import six
 import unittest
 
 from hubs.widgets import validators
 
-#from mock import Mock
 from hubs.tests import APPTest
-from hubs.models import User
 
 
 class ValidatorsTest(APPTest):
@@ -30,7 +27,8 @@ class ValidatorsTest(APPTest):
 
     def test_username(self):
         self.assertEqual(validators.Username.from_string("ralph"), "ralph")
-        self.assertRaises(ValueError, validators.Username.from_string, "nobody")
+        self.assertRaises(
+            ValueError, validators.Username.from_string, "nobody")
 
     @unittest.skip("Not implemented yet")
     def test_github_organization(self):
diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index 7579b19..3297022 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -1,12 +1,6 @@
 from __future__ import unicode_literals
 
 import json
-from datetime import datetime, timedelta
-from os.path import dirname
-import unittest
-
-import requests
-import vcr
 
 import hubs.models
 from hubs.tests import APPTest
@@ -20,7 +14,8 @@ class WidgetTest(APPTest):
         widget = hubs.models.Widget(
             plugin='library',
             index=51,
-            _config=json.dumps({"urls": "ralph/"})  # we must add a url or itll crash
+            # We must add a url in the config or it'll crash.
+            _config=json.dumps({"urls": "ralph/"})
         )
         hub.widgets.append(widget)
         hubs.app.session.commit()
diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
index 7865a34..d86435f 100644
--- a/hubs/tests/test_widgets/test_about.py
+++ b/hubs/tests/test_widgets/test_about.py
@@ -2,8 +2,6 @@ from __future__ import unicode_literals
 
 import json
 
-from nose.tools import assert_dict_equal
-
 import hubs.tests.test_widgets
 
 
diff --git a/hubs/tests/test_widgets/test_badges.py b/hubs/tests/test_widgets/test_badges.py
index 45e1ce8..3521ec2 100644
--- a/hubs/tests/test_widgets/test_badges.py
+++ b/hubs/tests/test_widgets/test_badges.py
@@ -2,7 +2,6 @@ from __future__ import unicode_literals
 
 import json
 
-from mock import patch, MagicMock
 import hubs.tests.test_widgets
 
 
@@ -29,7 +28,8 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
     def test_should_invalidate_wrong_user(self):
         widget = self.widget_instance('ralph', self.plugin)
         # msg = self.get_fedmsg('2016-e371c7f6-bc8e-4632-8e33-b9102dc30b5f')
-        msg = {'topic': 'fedbadges.badge.award', 'msg': {'user': {'username': 'not_ralph'}}}
+        msg = {'topic': 'fedbadges.badge.award',
+               'msg': {'user': {'username': 'not_ralph'}}}
         module = hubs.widgets.registry[widget.plugin]
         func = module.get_cached_functions()['GetBadges']
         result = func(widget).should_invalidate(msg)
@@ -38,7 +38,8 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
     def test_should_invalidate_good_match_fedbadges(self):
         widget = self.widget_instance('ralph', self.plugin)
         # msg = self.get_fedmsg('2016-1fbb1135-681b-4d3b-9a40-d0f6ebd313f4')
-        msg = {'topic': 'fedbadges.badge.award', 'msg': {'user': {'username': 'ralph'}}}
+        msg = {'topic': 'fedbadges.badge.award',
+               'msg': {'user': {'username': 'ralph'}}}
         module = hubs.widgets.registry[widget.plugin]
         func = module.get_cached_functions()['GetBadges']
         result = func(widget).should_invalidate(msg)
@@ -47,7 +48,8 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
     def test_should_invalidate_good_match_hubswidget(self):
         widget = self.widget_instance('ralph', self.plugin)
         # msg = self.get_fedmsg('2016-1fbb1135-681b-4d3b-9a40-d0f6ebd313f4')
-        msg = {'topic': 'hubs.widget.update', 'msg': {'widget': {'id': widget.idx + 1}}}
+        msg = {'topic': 'hubs.widget.update',
+               'msg': {'widget': {'id': widget.idx + 1}}}
         module = hubs.widgets.registry[widget.plugin]
         func = module.get_cached_functions()['GetBadges']
         result = func(widget).should_invalidate(msg)
diff --git a/hubs/utils.py b/hubs/utils.py
index f1ecd92..830d5ae 100755
--- a/hubs/utils.py
+++ b/hubs/utils.py
@@ -1,13 +1,11 @@
 from __future__ import unicode_literals
 
-import json
 import logging
 from hashlib import sha256
 
 import arrow
 import markdown
 import requests
-import six
 
 from six.moves.urllib_parse import urlencode
 
diff --git a/hubs/views/__init__.py b/hubs/views/__init__.py
index f3d8a0c..87da5d9 100644
--- a/hubs/views/__init__.py
+++ b/hubs/views/__init__.py
@@ -1,5 +1,7 @@
 from __future__ import absolute_import
 
+# flake8:noqa
+
 from .root import *
 from .hub import *
 from .widget import *
diff --git a/hubs/views/hub.py b/hubs/views/hub.py
index 3534c70..4227357 100644
--- a/hubs/views/hub.py
+++ b/hubs/views/hub.py
@@ -4,7 +4,7 @@ import datetime
 import flask
 import hubs.models
 
-from hubs.app import app, session
+from hubs.app import app
 from .utils import get_hub, login_required, RequestValidator
 
 
diff --git a/hubs/views/root.py b/hubs/views/root.py
index 386f233..1250490 100644
--- a/hubs/views/root.py
+++ b/hubs/views/root.py
@@ -3,7 +3,7 @@ from __future__ import unicode_literals, absolute_import
 import flask
 import hubs.models
 
-from hubs.app import app, session, OIDC
+from hubs.app import app, OIDC
 from .utils import authenticated, is_safe_url
 
 
@@ -49,7 +49,8 @@ def login():
         return_point = default
 
     hubs.models.User.get_or_create(
-        flask.g.db, username=flask.g.auth.nickname, fullname=flask.g.auth.fullname)
+        flask.g.db, username=flask.g.auth.nickname,
+        fullname=flask.g.auth.fullname)
     flask.flash('Login successful', 'success')
 
     return flask.redirect(return_point)
